Package ru.bitel.bgbilling.kernel.log.server.bean

# Class ConnectionLogEntryDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.log.server.bean.ConnectionLogEntryDao

All Implemented Interfaces:
  `AutoCloseable`

public class ConnectionLogEntryDao extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectionLogEntryDao(ConnectionSet connectionSet, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `ConnectionLogEntry`
  `get(int deviceId, Date date, int id)`
  `List<ConnectionLogEntry>`
  `getByConnectionId(Date date, int connectionId)`
  `protected ConnectionLogEntry`
  `getFromRS(ResultSet rs)`
  `List<ConnectionLogEntry>`
  `list(Date timeFrom, Date timeTo, int deviceId, int devicePort, String acctSessId, long connectionId, String identifier)`
  `void`
  `update(ConnectionLogEntry b)`
  `void`
  `update(ConnectionLogEntry b, boolean commit)`
  `protected void`
  `updateImpl(ConnectionLogEntry b, boolean commit)`
  `void`
  `updateResponseCoords(Date time, int deviceId, int id, int[] coords)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConnectionLogEntryDao

    public ConnectionLogEntryDao(ConnectionSet connectionSet, int mid)

- ## Method Details

  - ### getFromRS

    protected ConnectionLogEntry getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(ConnectionLogEntry b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(ConnectionLogEntry b, boolean commit) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ConnectionLogEntry b, boolean commit) throws ru.bitel.bgbilling.common.BGException, SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### updateResponseCoords

    public void updateResponseCoords(Date time, int deviceId, int id, int[] coords) throws ru.bitel.bgbilling.common.BGException, SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<ConnectionLogEntry> list(Date timeFrom, Date timeTo, int deviceId, int devicePort, String acctSessId, long connectionId, String identifier) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public ConnectionLogEntry get(int deviceId, Date date, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getByConnectionId

    public List<ConnectionLogEntry> getByConnectionId(Date date, int connectionId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`